## golang-github-containers-gvisor-tap-vsocks 0.7.1+ds1

=== debian/changelog ===
golang-github-containers-gvisor-tap-vsocks (0.7.1+ds1-2) unstable; urgency=medium

  * debian/copyright: fix typos

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 14 Jan 2024 14:23:20 -0500

golang-github-containers-gvisor-tap-vsocks (0.7.1+ds1-1) unstable; urgency=medium

  * Initial release. (Closes: #1057435)

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 05 Dec 2023 02:22:58 +0000

## golang-github-containers-gvisor-tap-vsocks 0.7.2%2Bds1

=== Makefile ===
TAG ?= $(shell git describe --match=NeVeRmAtCh --always --abbrev=40 --dirty)
GIT_VERSION ?= $(shell git describe --always --dirty)
CONTAINER_RUNTIME ?= podman

.PHONY: build
build: gvproxy qemu-wrapper vm

TOOLS_DIR := tools
include tools/tools.mk

VERSION_LDFLAGS=-X github.com/containers/gvisor-tap-vsock/pkg/types.gitVersion=$(GIT_VERSION)
LDFLAGS = -s -w $(VERSION_LDFLAGS)

.PHONY: gvproxy
gvproxy:
	go build -ldflags "$(LDFLAGS)" -o bin/gvproxy ./cmd/gvproxy

.PHONY: qemu-wrapper
qemu-wrapper:
	go build -ldflags "$(LDFLAGS)" -o bin/qemu-wrapper ./cmd/qemu-wrapper

.PHONY: vm
vm:
	GOOS=linux CGO_ENABLED=0 go build -ldflags "$(LDFLAGS)" -o bin/gvforwarder ./cmd/vm

# win-sshproxy is compiled as a windows GUI to support backgrounding
.PHONY: win-sshproxy
win-sshproxy:
	GOOS=windows go build -ldflags "$(LDFLAGS) -H=windowsgui" -o bin/win-sshproxy.exe ./cmd/win-sshproxy

# gvproxy for windows is compiled as a windows GUI to support backgrounding
.PHONY: win-gvproxy
win-gvproxy:
	GOOS=windows go build -ldflags "$(LDFLAGS) -H=windowsgui" -o bin/gvproxy.exe ./cmd/gvproxy

.PHONY: clean
clean:
	rm -rf ./bin

.PHONY: vendor
vendor:
	go mod tidy
	go mod vendor

.PHONY: lint
lint: $(TOOLS_BINDIR)/golangci-lint
	"$(TOOLS_BINDIR)"/golangci-lint run

.PHONY: image
image:
	${CONTAINER_RUNTIME} build -t quay.io/crcont/gvisor-tap-vsock:$(TAG) -f images/Dockerfile .

.PHONY: cross
cross: $(TOOLS_BINDIR)/makefat
	GOARCH=amd64 GOOS=freebsd  go build -ldflags "$(LDFLAGS)" -o bin/gvproxy-freebsd-amd64 ./cmd/gvproxy
	GOARCH=amd64 GOOS=windows go build -ldflags "$(LDFLAGS)" -o bin/gvproxy-windows.exe ./cmd/gvproxy
	GOARCH=amd64 GOOS=linux   go build -ldflags "$(LDFLAGS)" -o bin/gvproxy-linux-amd64 ./cmd/gvproxy
	GOARCH=arm64 GOOS=linux   go build -ldflags "$(LDFLAGS)" -o bin/gvproxy-linux-arm64 ./cmd/gvproxy
	GOARCH=amd64 GOOS=darwin  go build -ldflags "$(LDFLAGS)" -o bin/gvproxy-darwin-amd64 ./cmd/gvproxy
	GOARCH=arm64 GOOS=darwin  go build -ldflags "$(LDFLAGS)" -o bin/gvproxy-darwin-arm64 ./cmd/gvproxy
	cd bin && $(TOOLS_BINDIR)/makefat gvproxy-darwin gvproxy-darwin-amd64 gvproxy-darwin-arm64 && rm gvproxy-darwin-amd64 gvproxy-darwin-arm64

.PHONY: test-companion
test-companion:
	GOOS=linux go build -ldflags "$(LDFLAGS)" -o bin/test-companion ./cmd/test-companion

.PHONY: test
test: gvproxy test-companion
	go test -v ./...

## golang-github-containers-gvisor-tap-vsocks 0.7.2+ds1

=== debian/changelog ===
golang-github-containers-gvisor-tap-vsocks (0.7.2+ds1-1) unstable; urgency=medium

  * debian/changelog: update

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 23 Jan 2024 19:49:47 -0500

=== debian/control ===
Source: golang-github-containers-gvisor-tap-vsocks
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-golang,
 golang-any,
 golang-github-apparentlymart-go-cidr-dev,
 golang-github-coreos-stream-metadata-go-dev,
 golang-github-dustin-go-humanize-dev,
 golang-github-google-gopacket-dev,
 golang-github-insomniacslk-dhcp-dev,
 golang-github-linuxkit-virtsock-dev,
 golang-github-mdlayher-vsock-dev,
 golang-github-miekg-dns-dev,
 golang-github-onsi-ginkgo-dev,
 golang-github-opencontainers-go-digest-dev,
 golang-github-pkg-errors-dev,
 golang-github-inetaf-tcpproxy-dev,
 golang-gvisor-gvisor-dev,
 golang-github-sirupsen-logrus-dev,
Standards-Version: 4.6.2
Homepage: https://github.com/containers/gvisor-tap-vsock
Vcs-Browser: https://salsa.debian.org/go-team/packages//gvisor-tap-vsocks
Vcs-Git: https://salsa.debian.org/go-team/packages/gvisor-tap-vsocks.git
XS-Go-Import-Path: github.com/containers/gvisor-tap-vsock

Package: gvproxy
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Secure networking stack for container runtimes (program)
 This package provides a networking stack similar to libslirp or VPNKit, but
 written in golang. It is based on gVisor.
 .
 This package provides the proxy and wrapper utility for use with qemu

Package: golang-github-containers-gvisor-tap-vsocks-dev
Architecture: all
Depends:
 golang-github-apparentlymart-go-cidr-dev,
 golang-github-coreos-stream-metadata-go-dev,
 golang-github-dustin-go-humanize-dev,
 golang-github-google-gopacket-dev,
 golang-github-insomniacslk-dhcp-dev,
 golang-github-linuxkit-virtsock-dev,
 golang-github-mdlayher-vsock-dev,
 golang-github-miekg-dns-dev,
 golang-github-onsi-ginkgo-dev,
 golang-github-opencontainers-go-digest-dev,
 golang-github-pkg-errors-dev,
 golang-github-inetaf-tcpproxy-dev,
 golang-gvisor-gvisor-dev,
 golang-github-sirupsen-logrus-dev,
 ${shlibs:Depends},
 ${misc:Depends},
Description: Secure networking stack for container runtimes (program)
 This package provides a networking stack similar to libslirp or VPNKit, but
 written in golang. It is based on gVisor.
 .
 This package provides the proxy and wrapper utility for use with qemu

=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export DH_GOLANG_EXCLUDES := cmd/vm tools cmd/ssh-over-vsock cmd/test-companion gvisor-tap-vsock/test

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

## golang-github-containers-gvisor-tap-vsocks 0.7.3+ds1

=== debian/changelog ===
golang-github-containers-gvisor-tap-vsocks (0.7.3+ds1-2) unstable; urgency=medium

  * Team upload
  * Fix build with gvisor 20240729.0
  * Fix Vcs URL

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 07 Aug 2024 10:38:56 +0800

golang-github-containers-gvisor-tap-vsocks (0.7.3+ds1-1) unstable; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 22 Mar 2024 12:02:40 -0400

=== debian/control ===
--- 
+++ 
@@ -21,12 +21,12 @@
  golang-github-opencontainers-go-digest-dev,
  golang-github-pkg-errors-dev,
  golang-github-inetaf-tcpproxy-dev,
- golang-gvisor-gvisor-dev,
+ golang-gvisor-gvisor-dev (>= 0.0~20240729.0~),
  golang-github-sirupsen-logrus-dev,
 Standards-Version: 4.6.2
 Homepage: https://github.com/containers/gvisor-tap-vsock
-Vcs-Browser: https://salsa.debian.org/go-team/packages//gvisor-tap-vsocks
-Vcs-Git: https://salsa.debian.org/go-team/packages/gvisor-tap-vsocks.git
+Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-containers-gvisor-tap-vsocks
+Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-containers-gvisor-tap-vsocks.git
 XS-Go-Import-Path: github.com/containers/gvisor-tap-vsock
 
 Package: gvproxy
@@ -55,7 +55,7 @@
  golang-github-opencontainers-go-digest-dev,
  golang-github-pkg-errors-dev,
  golang-github-inetaf-tcpproxy-dev,
- golang-gvisor-gvisor-dev,
+ golang-gvisor-gvisor-dev (>= 0.0~20240729.0~),
  golang-github-sirupsen-logrus-dev,
  ${shlibs:Depends},
  ${misc:Depends},

## golang-github-containers-gvisor-tap-vsocks 0.8.0%2Bds1

=== debian/changelog ===
golang-github-containers-gvisor-tap-vsocks (0.8.0+ds1-3) unstable; urgency=medium

  * Upload to unstable
  * Declare that autopkgtest require access to the internet

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 07 Nov 2024 05:26:38 -0500

golang-github-containers-gvisor-tap-vsocks (0.8.0+ds1-2) experimental; urgency=medium

  * Avoid crash with empty resolv.conf

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 06 Nov 2024 06:29:23 -0500

golang-github-containers-gvisor-tap-vsocks (0.8.0+ds1-1) experimental; urgency=medium

  * New upstream release
  * Depend on golang-github-areyoulazy-libhosty-dev

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 05 Nov 2024 20:28:55 -0500

## golang-github-containers-gvisor-tap-vsocks 0.8.0+ds1

=== debian/changelog ===
golang-github-containers-gvisor-tap-vsocks (0.8.0+ds1-3ubuntu1) plucky; urgency=medium

  * Ignore tests for now

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Dec 2024 14:19:02 +0100

=== debian/rules ===
--- 
+++ 
@@ -6,5 +6,10 @@
 
 export DH_GOLANG_EXCLUDES := cmd/vm tools cmd/ssh-over-vsock cmd/test-companion gvisor-tap-vsock/test
 
+# disable colored output
+export GINKGO_NO_COLOR := true
+
+override_dh_auto_test:
+
 %:
 	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

## golang-github-containers-gvisor-tap-vsocks 0.8.1

=== debian/changelog ===
golang-github-containers-gvisor-tap-vsocks (0.8.1-3) unstable; urgency=medium

  * Another fixup for skipping tests that fail to resolve external DNS
    names, Closes: #1090805

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 04 Jan 2025 11:06:37 -0500

golang-github-containers-gvisor-tap-vsocks (0.8.1-2) unstable; urgency=medium

  * fixup patch to skip gracefully on missing /etc/resolv.conf

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 01 Jan 2025 07:45:28 -0500

golang-github-containers-gvisor-tap-vsocks (0.8.1-1) unstable; urgency=medium

  [ Reinhard Tartler ]
  * Drop patches merged upstream
  * Skip test when lookup fails, Closes: #1090805
  * Skip test gracefully on missing /etc/resolv.conf

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 31 Dec 2024 09:59:19 -0500

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
  dh-golang,
  golang-any,
  golang-github-apparentlymart-go-cidr-dev,
+ golang-github-areyoulazy-libhosty-dev,
  golang-github-coreos-stream-metadata-go-dev,
  golang-github-dustin-go-humanize-dev,
  golang-github-google-gopacket-dev,
@@ -44,6 +45,7 @@
 Architecture: all
 Depends:
  golang-github-apparentlymart-go-cidr-dev,
+ golang-github-areyoulazy-libhosty-dev,
  golang-github-coreos-stream-metadata-go-dev,
  golang-github-dustin-go-humanize-dev,
  golang-github-google-gopacket-dev,

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,6 @@
 # disable colored output
 export GINKGO_NO_COLOR := true
 
-override_dh_auto_test:
 
 %:
 	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

=== debian/watch ===
version=4
opts="\
filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,\
searchmode=plain,\
repacksuffix=+ds1,\
repack,compression=xz,\
dirversionmangle=s/-rc/~rc/,\
uversionmangle=s/-rc/~rc/,\
dversionmangle=s{[+~]ds\d*}{},\
"   https://api.github.com/repos/containers/gvisor-tap-vsock/tags?per_page=100 \
    https://api.github.com/repos/containers/gvisor-tap-vsock/tarball/refs/tags/[-_]?[Vv]?(0[\-+\.:\~\da-zA-Z]*)
